Bug 2083242 - Add image-registry usage metrics to telemeter [NEEDINFO]
Summary: Add image-registry usage metrics to telemeter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.10.z
Assignee: Ricardo Maraschini
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 2009352
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-09 14:38 UTC by OpenShift BugZilla Robot
Modified: 2022-07-11 15:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-11 15:27:56 UTC
Target Upstream Version:
xiuwang: needinfo? (rmarasch)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-image-registry-operator pull 775 0 None open [release-4.10] Bug 2083242: IR-120: Implementing metrics for ImageStreams 2022-06-15 01:01:15 UTC
Github openshift cluster-image-registry-operator pull 777 0 None open [release-4.10] Bug 2083242: IR-120: Add prometheus rules for image stream tags rules 2022-06-20 14:38:06 UTC
Github openshift cluster-image-registry-operator pull 786 0 None open [release-4.10] Bug 2083242: IR-253: add prometheus rules for image registry operations metrics 2022-06-21 07:14:41 UTC
Github openshift cluster-monitoring-operator pull 1694 0 None open Bug 2083242: Collecting registry and image stream usage 2022-06-20 07:40:34 UTC
Red Hat Product Errata RHBA-2022:5513 0 None None None 2022-07-11 15:28:11 UTC

Description OpenShift BugZilla Robot 2022-05-09 14:38:49 UTC
+++ This bug was initially created as a clone of Bug #2009352 +++

Description of problem:

We want to have metrics to help us understand if the registry is being used.

The image registry provides low-level metrics, they should be aggregated into a higher level metric and this metric should be added to telemeter.

The desired metrics:

* key manifest operations (put manifest, put blob, serve blob, create blob) in terms of rate
* approx size of blobs served directly, pullthrough, or content offload (summable)

Comment 5 errata-xmlrpc 2022-07-11 15:27:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.22 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:5513


Note You need to log in before you can comment on or make changes to this bug.